<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>libgdamm: Gnome::Gda::ConnectionError Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">libgdamm
   &#160;<span id="projectnumber">4.99.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceGnome.html">Gnome</a></li><li class="navelem"><a class="el" href="namespaceGnome_1_1Gda.html">Gda</a></li><li class="navelem"><a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html">ConnectionError</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classGnome_1_1Gda_1_1ConnectionError-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Gnome::Gda::ConnectionError Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Exception class for <a class="el" href="namespaceGnome_1_1Gda.html">Gda</a> connection errors.  
 <a href="classGnome_1_1Gda_1_1ConnectionError.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for Gnome::Gda::ConnectionError:</div>
<div class="dyncontent">
<div class="center"><img src="classGnome_1_1Gda_1_1ConnectionError__inherit__graph.png" border="0" usemap="#Gnome_1_1Gda_1_1ConnectionError_inherit__map" alt="Inheritance graph"/></div>
<map name="Gnome_1_1Gda_1_1ConnectionError_inherit__map" id="Gnome_1_1Gda_1_1ConnectionError_inherit__map">
<area shape="rect" id="node2" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html" title="Glib::Error" alt="" coords="62,80,141,107"/><area shape="rect" id="node3" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Exception.html" title="Glib::Exception" alt="" coords="48,5,155,32"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Gnome::Gda::ConnectionError:</div>
<div class="dyncontent">
<div class="center"><img src="classGnome_1_1Gda_1_1ConnectionError__coll__graph.png" border="0" usemap="#Gnome_1_1Gda_1_1ConnectionError_coll__map" alt="Collaboration graph"/></div>
<map name="Gnome_1_1Gda_1_1ConnectionError_coll__map" id="Gnome_1_1Gda_1_1ConnectionError_coll__map">
<area shape="rect" id="node2" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html" title="Glib::Error" alt="" coords="74,95,153,121"/><area shape="rect" id="node3" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Exception.html" title="Glib::Exception" alt="" coords="5,5,112,32"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a45e97608854d5d4435ebc687c6ec688e"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688e">Code</a> { <br />
&#160;&#160;<a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688ead3ec925c0f043c481a784bc4ffdba074">CONNECTION_DSN_NOT_FOUND_ERROR</a>, 
<br />
&#160;&#160;<a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688eaa885e729b276233175f8c3dcb19a94bc">CONNECTION_PROVIDER_NOT_FOUND_ERROR</a>, 
<br />
&#160;&#160;<a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688ea9612395c0369aa58c30279ef955dfbc9">CONNECTION_PROVIDER_ERROR</a>, 
<br />
&#160;&#160;<a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688ea3b6693d17ee52cfc0ca5a4ed9e64b3f2">CONNECTION_NO_CNC_SPEC_ERROR</a>, 
<br />
&#160;&#160;<a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688eaff93981268eb21a45dc29bab04d99115">CONNECTION_NO_PROVIDER_SPEC_ERROR</a>, 
<br />
&#160;&#160;<a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688ea52a3886dcfceb3922f5653ed0575a82c">CONNECTION_OPEN_ERROR</a>, 
<br />
&#160;&#160;<a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688eaa282676e481b9ea626a830124e0538eb">CONNECTION_STATEMENT_TYPE_ERROR</a>, 
<br />
&#160;&#160;<a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688ea03009532dac96b8f95663aedd65b667d">CONNECTION_CANT_LOCK_ERROR</a>, 
<br />
&#160;&#160;<a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688ea0a1e8c6608176c43615883b4103c5b16">CONNECTION_TASK_NOT_FOUND_ERROR</a>, 
<br />
&#160;&#160;<a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688eab45b30a5fd56535aa5ac76f819f19520">CONNECTION_UNSUPPORTED_THREADS_ERROR</a>, 
<br />
&#160;&#160;<a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688eae7d010ce36c981d5f8ff9d42f6907f2a">CONNECTION_CLOSED_ERROR</a>, 
<br />
&#160;&#160;<a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688ea0423c633732145c8b416c4226bf6ff95">CONNECTION_META_DATA_CONTEXT_ERROR</a>
<br />
 }</td></tr>
<tr class="separator:a45e97608854d5d4435ebc687c6ec688e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5b4da97095c569665e6c67f0384981ad"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a5b4da97095c569665e6c67f0384981ad">ConnectionError</a> (<a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688e">Code</a> error_code, const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&amp; error_message)</td></tr>
<tr class="separator:a5b4da97095c569665e6c67f0384981ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33c3a936555a2eec390aea58aae29124"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a33c3a936555a2eec390aea58aae29124">ConnectionError</a> (GError* gobject)</td></tr>
<tr class="separator:a33c3a936555a2eec390aea58aae29124"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e4f2c4560089f3126f1925adb6cb76c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688e">Code</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a8e4f2c4560089f3126f1925adb6cb76c">code</a> () const </td></tr>
<tr class="separator:a8e4f2c4560089f3126f1925adb6cb76c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classGlib_1_1Error"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classGlib_1_1Error')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html">Glib::Error</a></td></tr>
<tr class="memitem:a2639aeb2b6a6c43662cf17b8c88a122d inherit pub_methods_classGlib_1_1Error"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a2639aeb2b6a6c43662cf17b8c88a122d">Error</a> ()</td></tr>
<tr class="separator:a2639aeb2b6a6c43662cf17b8c88a122d inherit pub_methods_classGlib_1_1Error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a478576c835fb1d66e46076b4c2d19799 inherit pub_methods_classGlib_1_1Error"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a478576c835fb1d66e46076b4c2d19799">Error</a> (GQuark error_domain, int error_code, const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &amp;message)</td></tr>
<tr class="separator:a478576c835fb1d66e46076b4c2d19799 inherit pub_methods_classGlib_1_1Error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70257ceb030e4d9dd3ac9a6482830d24 inherit pub_methods_classGlib_1_1Error"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a70257ceb030e4d9dd3ac9a6482830d24">Error</a> (GError *gobject, bool take_copy=false)</td></tr>
<tr class="separator:a70257ceb030e4d9dd3ac9a6482830d24 inherit pub_methods_classGlib_1_1Error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a715ed79ccf7d2fa3a357014fc614a4a4 inherit pub_methods_classGlib_1_1Error"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a715ed79ccf7d2fa3a357014fc614a4a4">Error</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html">Error</a> &amp;other)</td></tr>
<tr class="separator:a715ed79ccf7d2fa3a357014fc614a4a4 inherit pub_methods_classGlib_1_1Error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fd059d3c4d24c3f6a0f6999be41b138 inherit pub_methods_classGlib_1_1Error"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html">Error</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a6fd059d3c4d24c3f6a0f6999be41b138">operator=</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html">Error</a> &amp;other)</td></tr>
<tr class="separator:a6fd059d3c4d24c3f6a0f6999be41b138 inherit pub_methods_classGlib_1_1Error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af68364c4d9034cb1dc095c65b8012a40 inherit pub_methods_classGlib_1_1Error"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#af68364c4d9034cb1dc095c65b8012a40">~Error</a> () noexcept</td></tr>
<tr class="separator:af68364c4d9034cb1dc095c65b8012a40 inherit pub_methods_classGlib_1_1Error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d0366db925669aa5841f21e48f278c4 inherit pub_methods_classGlib_1_1Error"><td class="memItemLeft" align="right" valign="top">GQuark&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a8d0366db925669aa5841f21e48f278c4">domain</a> () const </td></tr>
<tr class="separator:a8d0366db925669aa5841f21e48f278c4 inherit pub_methods_classGlib_1_1Error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a073623423095dc52db289bf04a146648 inherit pub_methods_classGlib_1_1Error"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a073623423095dc52db289bf04a146648">code</a> () const </td></tr>
<tr class="separator:a073623423095dc52db289bf04a146648 inherit pub_methods_classGlib_1_1Error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbf91e86e5087a3ab861f705e5d16433 inherit pub_methods_classGlib_1_1Error"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#afbf91e86e5087a3ab861f705e5d16433">what</a> () const override</td></tr>
<tr class="separator:afbf91e86e5087a3ab861f705e5d16433 inherit pub_methods_classGlib_1_1Error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a8818d3d0bb26a01a020dedd12c525d inherit pub_methods_classGlib_1_1Error"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a4a8818d3d0bb26a01a020dedd12c525d">matches</a> (GQuark error_domain, int error_code) const </td></tr>
<tr class="separator:a4a8818d3d0bb26a01a020dedd12c525d inherit pub_methods_classGlib_1_1Error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69e6636c8ed726b1468ed61c07d65816 inherit pub_methods_classGlib_1_1Error"><td class="memItemLeft" align="right" valign="top">GError *&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a69e6636c8ed726b1468ed61c07d65816">gobj</a> ()</td></tr>
<tr class="separator:a69e6636c8ed726b1468ed61c07d65816 inherit pub_methods_classGlib_1_1Error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41b5a27b917ecb6a0176387bf357d8cc inherit pub_methods_classGlib_1_1Error"><td class="memItemLeft" align="right" valign="top">const GError *&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#a41b5a27b917ecb6a0176387bf357d8cc">gobj</a> () const </td></tr>
<tr class="separator:a41b5a27b917ecb6a0176387bf357d8cc inherit pub_methods_classGlib_1_1Error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classGlib_1_1Exception"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classGlib_1_1Exception')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Exception.html">Glib::Exception</a></td></tr>
<tr class="memitem:a51fb593b3bb4bf81999d00516ff0a613 inherit pub_methods_classGlib_1_1Exception"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Exception.html#a51fb593b3bb4bf81999d00516ff0a613">~Exception</a> () noexcept=0</td></tr>
<tr class="separator:a51fb593b3bb4bf81999d00516ff0a613 inherit pub_methods_classGlib_1_1Exception"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classGlib_1_1Error"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classGlib_1_1Error')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html">Glib::Error</a></td></tr>
<tr class="memitem:aaf45a78024403f011e31a73c1361c59a inherit pro_attribs_classGlib_1_1Error"><td class="memItemLeft" align="right" valign="top">GError *&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Error.html#aaf45a78024403f011e31a73c1361c59a">gobject_</a></td></tr>
<tr class="separator:aaf45a78024403f011e31a73c1361c59a inherit pro_attribs_classGlib_1_1Error"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Exception class for <a class="el" href="namespaceGnome_1_1Gda.html">Gda</a> connection errors. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="a45e97608854d5d4435ebc687c6ec688e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688e">Gnome::Gda::ConnectionError::Code</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a45e97608854d5d4435ebc687c6ec688ead3ec925c0f043c481a784bc4ffdba074"></a>CONNECTION_DSN_NOT_FOUND_ERROR&#160;</td><td class="fielddoc">
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a45e97608854d5d4435ebc687c6ec688eaa885e729b276233175f8c3dcb19a94bc"></a>CONNECTION_PROVIDER_NOT_FOUND_ERROR&#160;</td><td class="fielddoc">
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a45e97608854d5d4435ebc687c6ec688ea9612395c0369aa58c30279ef955dfbc9"></a>CONNECTION_PROVIDER_ERROR&#160;</td><td class="fielddoc">
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a45e97608854d5d4435ebc687c6ec688ea3b6693d17ee52cfc0ca5a4ed9e64b3f2"></a>CONNECTION_NO_CNC_SPEC_ERROR&#160;</td><td class="fielddoc">
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a45e97608854d5d4435ebc687c6ec688eaff93981268eb21a45dc29bab04d99115"></a>CONNECTION_NO_PROVIDER_SPEC_ERROR&#160;</td><td class="fielddoc">
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a45e97608854d5d4435ebc687c6ec688ea52a3886dcfceb3922f5653ed0575a82c"></a>CONNECTION_OPEN_ERROR&#160;</td><td class="fielddoc">
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a45e97608854d5d4435ebc687c6ec688eaa282676e481b9ea626a830124e0538eb"></a>CONNECTION_STATEMENT_TYPE_ERROR&#160;</td><td class="fielddoc">
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a45e97608854d5d4435ebc687c6ec688ea03009532dac96b8f95663aedd65b667d"></a>CONNECTION_CANT_LOCK_ERROR&#160;</td><td class="fielddoc">
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a45e97608854d5d4435ebc687c6ec688ea0a1e8c6608176c43615883b4103c5b16"></a>CONNECTION_TASK_NOT_FOUND_ERROR&#160;</td><td class="fielddoc">
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a45e97608854d5d4435ebc687c6ec688eab45b30a5fd56535aa5ac76f819f19520"></a>CONNECTION_UNSUPPORTED_THREADS_ERROR&#160;</td><td class="fielddoc">
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a45e97608854d5d4435ebc687c6ec688eae7d010ce36c981d5f8ff9d42f6907f2a"></a>CONNECTION_CLOSED_ERROR&#160;</td><td class="fielddoc">
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a45e97608854d5d4435ebc687c6ec688ea0423c633732145c8b416c4226bf6ff95"></a>CONNECTION_META_DATA_CONTEXT_ERROR&#160;</td><td class="fielddoc">
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a5b4da97095c569665e6c67f0384981ad"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Gnome::Gda::ConnectionError::ConnectionError </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688e">Code</a>&#160;</td>
          <td class="paramname"><em>error_code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &amp;&#160;</td>
          <td class="paramname"><em>error_message</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a33c3a936555a2eec390aea58aae29124"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Gnome::Gda::ConnectionError::ConnectionError </td>
          <td>(</td>
          <td class="paramtype">GError *&#160;</td>
          <td class="paramname"><em>gobject</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a8e4f2c4560089f3126f1925adb6cb76c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classGnome_1_1Gda_1_1ConnectionError.html#a45e97608854d5d4435ebc687c6ec688e">Code</a> Gnome::Gda::ConnectionError::code </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>libgdamm/connection.h</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 4 2015 15:04:40 for libgdamm by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
